| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Classes | Namespaces | Macros | Functions
MFIncludes.h File Reference
`#include <collection.h>`
`#include <ppltasks.h>`
`#include <wrl\implements.h>`
`#include <wrl\wrappers\corewrappers.h>`
`#include <Roerrorapi.h>`
`#include <queue>`
`#include <sstream>`
`#include <robuffer.h>`
`#include <mfapi.h>`
`#include <mfidl.h>`
`#include <Mferror.h>`
`#include <windows.media.h>`
`#include <windows.media.mediaproperties.h>`
Include dependency graph for MFIncludes.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | AutoMF
class | Media::sealed

## Namespaces
namespace | Media

## Macros
#define | CHK(statement) {HRESULT _hr = (statement); if (FAILED(_hr)) { throw ref new Platform::COMException(_hr); };}
#define | CHKNULL(p) {if ((p) == nullptr) { throw ref new Platform::NullReferenceException(L#p); };}
#define | CHK_RETURN(statement) {hr = (statement); if (FAILED(hr)) { return hr; };}

## Functions
template<typename T , typename U >
MW::ComPtr< T > | As (U^ in)
template<typename T , typename U >
Microsoft::WRL::ComPtr< T > | As (const Microsoft::WRL::ComPtr< U > &in)
template<typename T , typename U >
Microsoft::WRL::ComPtr< T > | As (U *in)
unsigned char * | GetData (_In_ WSS::IBuffer^ buffer)
template<size_t N>
HRESULT | OriginateError (__in HRESULT hr, __in wchar_t const (&str)[N])
HRESULT | OriginateError (__in HRESULT hr)
template<typename Lambda >
HRESULT | ExceptionBoundary (Lambda &&lambda)
delegate void | Media::MediaSampleHandler (MediaSample^ sample)

## Macro Definition Documentation

## ◆ CHK

#define CHK | ( |  | statement | ) | {HRESULT _hr = (statement); if (FAILED(_hr)) { throw ref new Platform::COMException(_hr); };}

## ◆ CHK_RETURN

#define CHK_RETURN | ( |  | statement | ) | {hr = (statement); if (FAILED(hr)) { return hr; };}

## ◆ CHKNULL

#define CHKNULL | ( |  | p | ) | {if ((p) == nullptr) { throw ref new Platform::NullReferenceException(L#p); };}

## Function Documentation

## ◆ As() [1/3]

template<typename T , typename U >

Microsoft::WRL::ComPtr< T > As | ( | const Microsoft::WRL::ComPtr< U > & | in | ) |

## ◆ As() [2/3]

template<typename T , typename U >

Microsoft::WRL::ComPtr< T > As | ( | U * | in | ) |

## ◆ As() [3/3]

template<typename T , typename U >

MW::ComPtr< T > As | ( | U^ | in | ) |

## ◆ ExceptionBoundary()

template<typename Lambda >

HRESULT ExceptionBoundary | ( | Lambda && | lambda | ) |

## ◆ GetData()

unsigned char * GetData | ( | _In_ WSS::IBuffer^ | buffer | ) |
| inline

## ◆ OriginateError() [1/2]

HRESULT OriginateError | ( | __in HRESULT | hr | ) |
| inline

## ◆ OriginateError() [2/2]

template<size_t N>

HRESULT OriginateError | ( | __in HRESULT | hr,
|  | __in wchar_t const (&) | str[N]
| ) |  |